Package com.plannaplan

# Class App

java.lang.Object
com.plannaplan.App

    @SpringBootApplication
    @EnableScheduling
    public class App
    extends java.lang.Object

Root class of Application.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `API_VERSION` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`App()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `importData()` | method to import mocked data to testing app after startz.
`static void` | `main​(java.lang.String[] args)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### API_VERSION

public static final java.lang.String API_VERSION

See Also:
  Constant Field Values

## Constructor Details

### App

public App()

## Method Details

### main

public static void main​(java.lang.String[] args)

### importData

@EventListener(org.springframework.boot.context.event.ApplicationReadyEvent.class) public void importData()
method to import mocked data to testing app after startz. It is called only in dev profile. Note that tests are written to this app state so if you change ConfigData it can have an impact to other tests like CommisionControllerTest